///home/berryj/link/bin/genMethods "-g" "-t" "Sequence<int>" "-h" "MSet" "-r" "Collection<Sequence<int> >" "-I" "LINK/basic/Sequence.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Sequence<int> _Sequence_int_;
typedef MSet<Sequence<int> > _MSet_Sequence_int__;
static MSet<Sequence<int> > s__MSet_Sequence_int__;

#define _MSet_Sequence_int__DATA(x) ((MSet<Sequence<int> >*) (EXTDATA(x)))
#define _MSet_Sequence_int__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MSet<Sequence<int> > >::type))
#define _MSet_Sequence_int__ISNT_DATA(x) (!_MSet_Sequence_int__IS_DATA(x))

#define _MSet_Sequence_int__CXX_DATA(x) (*(MSet<Sequence<int> >*) (EXTDATA(VAL(x))))
#define _MSet_Sequence_int__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MSet<Sequence<int> > >::type))
#define _MSet_Sequence_int__CXX_ISNT_DATA(x) (!_MSet_Sequence_int__CXX_IS_DATA(x))


PRIMITIVE STk_init__MSet_Sequence_int__()
{
	Wrapper<_MSet_Sequence_int__>::type = STk_new_CXXwrapper_id(
			Wrapper<_MSet_Sequence_int__>::name, 
			Wrapper<Collection<Sequence<int> > >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Sequence_int_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Sequence_int_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Sequence_int_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_MSet_Sequence_int__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_MSet_Sequence_int__Methods(void);

PRIMITIVE STk_init_methods__MSet_Sequence_int__()
{
	genExtra_MSet_Sequence_int__Methods();
	return UNDEFINED;
}
